## golang-github-azure-azure-storage-blob-go 0.2.0

=== Makefile ===
PROJECT_NAME = azure-storage-blob-go
WORK_DIR = /go/src/github.com/Azure/${PROJECT_NAME}
GOX_ARCH = linux/amd64 windows/amd64 darwin/amd64

define with_docker
	WORK_DIR=$(WORK_DIR) docker-compose run --rm $(PROJECT_NAME) $(1)
endef

login: setup ## get a shell into the container
	WORK_DIR=$(WORK_DIR) docker-compose run --rm --entrypoint /bin/bash $(PROJECT_NAME)

docker-compose:
	which docker-compose

docker-build: docker-compose
	WORK_DIR=$(WORK_DIR) docker-compose build --force-rm

docker-clean: docker-compose
	WORK_DIR=$(WORK_DIR) docker-compose down

dep: docker-build #
	$(call with_docker,dep ensure -v)

setup: clean docker-build dep ## setup environment for development

test: setup ## run go tests
	$(call with_docker,go test -race -short -cover -v ./2018-03-28/azblob)

build: setup ## build binaries for the project
	$(call with_docker,gox -osarch="$(GOX_ARCH)" ./2018-03-28/azblob)

all: setup test build

clean: docker-clean ## clean environment and binaries
	rm -rf bin

help: ## display this help screen
	@grep -h -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
golang-github-azure-azure-storage-blob-go (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #908935)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 11 Nov 2018 21:17:04 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Do not built old (and obsolete) APIs, also do not include
# them in the package.
export DH_GOLANG_EXCLUDES := 2016-05-31/ 2017-07-29/
export DH_GOLANG_EXCLUDES_ALL := 1

%:
	dh $@ --buildsystem=golang --with=golang

# Testing does not seem to work due to required internet access
override_dh_auto_test:

## golang-github-azure-azure-storage-blob-go 0.3.0

=== debian/changelog ===
golang-github-azure-azure-storage-blob-go (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
    - Obsolete APIs have been removed upstream

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 04 Dec 2018 23:12:00 +0100

=== debian/control ===
Source: golang-github-azure-azure-storage-blob-go
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-azure-azure-pipeline-go-dev,
               golang-gopkg-check.v1-dev
Standards-Version: 4.2.1
Homepage: https://github.com/Azure/azure-storage-blob-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-azure-azure-storage-blob-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-azure-azure-storage-blob-go.git
XS-Go-Import-Path: github.com/Azure/azure-storage-blob-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-azure-azure-storage-blob-go-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-azure-azure-pipeline-go-dev,
         golang-gopkg-check.v1-dev
Description: Microsoft Azure Blob Storage Library for Go
 The Microsoft Azure Storage SDK for Go allows you to build applications
 that takes advantage of Azure's scalable cloud storage. It provides
 low-level and high-level APIs.

## golang-github-azure-azure-storage-blob-go 0.10.0

=== debian/changelog ===
golang-github-azure-azure-storage-blob-go (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-Depends: golang-github-google-uuid-dev (>= 1.1.1),
                   golang-golang-x-sys-dev,
    Versioned:     golang-github-azure-azure-pipeline-go-dev (>= 0.2.2)
  * Standards-Version: 4.5.0
  * debhelper compatibility level 13:
    Build-Depends: debhelper-compat (= 13)

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Sep 2020 09:26:03 +0800

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-azure-azure-pipeline-go-dev,
+               golang-github-azure-azure-pipeline-go-dev (>= 0.2.2),
+               golang-github-google-uuid-dev (>= 1.1.1),
+               golang-golang-x-sys-dev,
                golang-gopkg-check.v1-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/Azure/azure-storage-blob-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-azure-azure-storage-blob-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-azure-azure-storage-blob-go.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-azure-azure-storage-blob-go-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/Azure/azure-storage-blob-go/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-azure-azure-storage-blob-go 0.15.0

=== debian/changelog ===
golang-github-azure-azure-storage-blob-go (0.15.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - update Build-Depends: golang-github-azure-go-autorest-dev,
      golang-github-azure-azure-pipeline-go-dev (>= 0.2.3),
      golang-github-google-uuid-dev (>= 1.2.0)
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Tue, 08 Nov 2022 22:59:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-azure-azure-pipeline-go-dev (>= 0.2.2),
-               golang-github-google-uuid-dev (>= 1.1.1),
+               golang-github-azure-azure-pipeline-go-dev (>= 0.2.3),
+               golang-github-azure-go-autorest-dev,
+               golang-github-google-uuid-dev (>= 1.2.0),
                golang-golang-x-sys-dev,
                golang-gopkg-check.v1-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/Azure/azure-storage-blob-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-azure-azure-storage-blob-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-azure-azure-storage-blob-go.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

# Testing does not seem to work due to required internet access
override_dh_auto_test:
